Skip to main content
PATCH
/
api
/
company
/
{company_id}
/
recipients
/
{recipient_id}
/
distribution
/
allocations
Set recipient distribution allocations
curl --request PATCH \
  --url https://api.sandbox.bitwage.com/api/company/{company_id}/recipients/{recipient_id}/distribution/allocations \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allocations": [
    {
      "distribution_id": "<string>",
      "allocation": 50
    }
  ]
}
'
{}

Authorizations

Authorization
string
header
required

API key authentication. Include your access token as: Authorization: Basic <ACCESS_TOKEN>

Path Parameters

company_id
string
required

Company ID.

recipient_id
string
required

Recipient ID.

Body

application/json
allocations
object[]
required
Required array length: 1 - 3 elements

Response

200 - application/json

Allocations updated.

The response is of type object.